Bug 28278 - Installer crashed : reieve signal 9
Installer crashed : reieve signal 9
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-02-19 06:18 EST by Olivier Moret
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-21 15:49:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Olivier Moret 2001-02-19 06:18:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

when installer run, after 2 minutes it crashed.

Reproducible: Always
Steps to Reproduce:
1.Launch the intall program, in normal or expert mode
2.Chosse language, mouse, time zone
3.Set up partitions


Actual Results:  I yhave a message that says that anaconda has crashed.
And a button to save system state to a floppy disk (for sending ti 

Content of anacdump.txt :
-------------------------Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in 
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1526, in 
    self.instLog = open(self.instLogName, "w+")
IOError: [Errno 2] Aucun fichier ou r?pertoire de ce 
type: '/mnt/sysimage/tmp/install.log'

Local variables in innermost frame:
arch: i386
total: 410
msg: Le fichier existe.
logname: /tmp/install.log
i: /etc/X11
p: zlib-devel
l: [anacron, anonftp, apache, apmd, arpwatch, ash, aspell, at, audiofile, 
aumix, authconfig, autoconf, automake, autorun, awesfx, basesystem, bash, 
bc, bdflush, bind-utils, binutils, bison, byacc, bzip2, bzip2-devel, 
cdda2wav, cdecl, cdp, cdparanoia, cdrecord, chkconfig, chkfontpath, compat-
egcs, compat-egcs-c++, compat-glibc, compat-libstdc++, console-tools, 
control-panel, cpio, cpp, cproto, cracklib, cracklib-dicts, crontabs, 
ctags, cvs, cyrus-sasl, db1, db2, db3, dev, dev86, dhcpcd, diffstat, 
diffutils, dip, docbook, dosfstools, dump, e2fsprogs, ed, eject, elm, 
esound, exmh, expect, fetchmail, file, filesystem, fileutils, findutils, 
finger, finger-server, flex, fortune-mod, freetype, ftp, gawk, gcc, gcc-
c++, gcc-g77, gd, gd-devel, gdb, gdbm, gdbm-devel, gettext, ghostscript, 
ghostscript-fonts, gimp, glib, glib-devel, glibc, glibc-devel, gmp, gnome-
audio, gnome-libs, gnome-linuxconf, gnupg, gphoto, gpm, gpm-devel, grep, 
groff, groff-perl, gtk+, gtk+-devel, gv, gzip, hdparm, ical, ImageMagick, 
imlib, indent, indexhtml, inews, info, initscripts, ipchains, iproute, 
iptables, iputils, isapnptools, isdn-config, isdn4k-utils, kbdconfig, 
kdebase, kdelibs, kdelibs-devel, kdemultimedia, kdenetwork, kdesupport, 
kdesupport-devel, kdeutils, kdevelop, kernel, kernel-headers, kernel-
pcmcia-cs, kernel-source, kernel-utils, kernelcfg, kgcc, kpppload, krb5-
devel, krb5-libs, kudzu, kudzu-devel, less, libglade, libjpeg, libjpeg-
devel, libpng, libpng-devel, libstdc++, libstdc++-devel, libtermcap, 
libtermcap-devel, libtiff, libtiff-devel, libtool, libtool-libs, libungif, 
libungif-devel, libxml, lilo, links, linuxconf, linuxconf-devel, 
logrotate, losetup, LPRng, lrzsz, lsof, ltrace, lynx, m4, mailcap, mailx, 
make, MAKEDEV, man, man-pages, memprof, Mesa, Mesa-devel, metamail, 
mikmod, mingetty, minicom, mkbootdisk, mkinitrd, mkisofs, mktemp, mkxauth, 
mod_perl, mod_ssl, modemtool, modutils, mount, mouseconfig, mpage, mpg123, 
mt-st, mtools, multimedia, mutt, ncftp, ncompress, ncurses, ncurses-devel, 
ncurses4, net-tools, netcfg, netpbm, netpbm-devel, netpbm-progs, netscape-
common, netscape-communicator, newt, newt-devel, nfs-utils, njamd, nmh, 
ntsysv, openjade, openldap, openssh, openssh-askpass, openssh-clients, 
openssh-server, openssl, openssl-devel, ORBit, pam, passwd, patch, 
pciutils, pciutils-devel, perl, pidentd, pilot-link, pilot-link-devel, 
pine, playmidi, playmidi-X11, plugger, pmake, pnm2ppa, popt, portmap, 
postgresql, postgresql-devel, postgresql-server, ppp, printtool, procmail, 
procps, psmisc, pspell, pump, pwdb, pygnome, pygtk, pygtk-libglade, 
python, python-devel, python-xmlrpc, pythonlib, qt, qt-devel, qt1x, qt1x-
devel, quota, raidtools, rcs, rdate, rdist, readline, readline-devel, 
redhat-logos, redhat-release, rhn_register, rhn_register-gnome, rhs-
printfilters, rmt, rootfiles, rp-pppoe, rpm, rpm-build, rpm-devel, rpm-
python, rsh, rsh-server, rsync, rusers, rusers-server, rwall-server, rwho, 
rxvt, samba, samba-client, samba-common, sane, sash, screen, SDL, sed, 
sendmail, setserial, setup, setuptool, sgml-common, sgml-tools, sh-utils, 
shadow-utils, shapecfg, sharutils, slang, slang-devel, slocate, slrn, 
smpeg, sndconfig, sox, stat, statserial, strace, stunnel, stylesheets, 
switchdesk, switchdesk-kde, sysklogd, sysstat, SysVinit, talk, talk-
server, tar, tcl, tclx, tcp_wrappers, tcpdump, tcsh, telnet, telnet-
server, termcap, tetex-fonts, tetex-xdvi, texinfo, textutils, tftp-server, 
time, timeconfig, timetool, tin, tix, tk, tkinter, tksysv, tmpwatch, 
traceroute, trn, ucd-snmp, ucd-snmp-utils, unzip, up2date, up2date-gnome, 
urlview, urw-fonts, usermode, utempter, util-linux, vim-common, vim-
minimal, vixie-cron, which, whois, words, wu-ftpd, wvdial, Xaw3d, Xaw3d-
devel, xcdroast, Xconfigurator, XFree86, XFree86-75dpi-fonts, XFree86-
devel, XFree86-libs, XFree86-S3, XFree86-tools, XFree86-twm, XFree86-xdm, 
XFree86-xfs, xinetd, xinitrc, xisdnload, xloadimage, xmailbox, xmms, xpdf, 
xrn, xsane, xscreensaver, xsri, xxgdb, yp-tools, ypbind, ypserv, zip, 
zlib, zlib-devel]
db: <rpmdb object at 8c8a3d8>
self: <todo.ToDo instance at 827c730>
how: i
errno: 17
totalSize: 899544
ts: <rpmtrans object at 8d05d08>

ToDo object:

Comment 1 Michael Fulbright 2001-02-21 15:48:58 EST
Did you choose to format the partition containing the /tmp partition?
Comment 2 Michael Fulbright 2001-03-14 12:58:42 EST
Closing due to inactivity. Please reopen if you have additional information to add.

Note You need to log in before you can comment on or make changes to this bug.